OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000567OMNeT++Installer / Productizingpublic2012-05-09 13:012012-11-07 11:35
Reporteringenious 
Assigned Torhornig 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.2.2 
Target VersionFixed in Version4.3b1 
Summary0000567: omnetpp 4.2.2 fails to build on Linux
Description ./configure runs just fine. Running make fails in the following way:



make MODE=release
make[1]: Entering directory `/path/to/omnetpp-4.2.2'
***** Configuration: MODE=release, TOOLCHAIN_NAME=gcc, LIB_SUFFIX=.so ****
===== Checking environment =====
mkdir -p /path/to/omnetpp-4.2.2/bin
===== Compiling utils ====
cd /path/to/omnetpp-4.2.2/src/utils && make
make[2]: Entering directory `/path/to/omnetpp-4.2.2/src/utils'
g++ opp_lcg32_seedtool.cc -o /path/to/omnetpp-4.2.2/out/gcc-release/src/utils/opp_lcg32_seedtool
g++ abspath.cc -o /path/to/omnetpp-4.2.2/out/gcc-release/src/utils/abspath
abspath.cc: In function ‘std::string toAbsolutePath(const char*)’:
abspath.cc:62:38: error: ‘getcwd’ was not declared in this scope
make[2]: *** [/path/to/omnetpp-4.2.2/out/gcc-release/src/utils/abspath] Error 1
make[2]: Leaving directory `/path/to/omnetpp-4.2.2/src/utils'
make[1]: *** [utils] Error 2
make[1]: Leaving directory `/path/to/omnetpp-4.2.2'
make: *** [allmodes] Error 2
Additional InformationAnd of course the fix is quite a simple one:

just add

#include <unistd.h>

to src/utils/abspath.cc.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000753)
rhornig (administrator)
2012-05-09 13:08

What linux distro/version and gcc version are you using?
(0000754)
ingenious (reporter)
2012-05-09 13:11

I'm on Arch Linux.

$ gcc --version
gcc (GCC) 4.7.0 20120407 (prerelease)
Copyright (C) 2012 Free Software Foundation, Inc.

$ uname -a
Linux imladris 3.3.1-1-ARCH 0000001 SMP PREEMPT Tue Apr 3 06:46:17 UTC 2012 x86_64 AMD Phenom(tm) II X4 960T Processor AuthenticAMD GNU/Linux

I hope that helps.
(0000756)
joker (reporter)
2012-05-31 18:19

the same problem on fedora 17

the fix works


gcc -v
Using built-in specs.
COLLECT_GCC=/usr/bin/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.7.0/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla [^] --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --disable-build-with-cxx --disable-build-poststage1-with-cxx --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.7.0 20120507 (Red Hat 4.7.0-5) (GCC)

uname -a

Linux jokerPc 3.3.7-1.fc17.x86_64 0000001 SMP Mon May 21 22:32:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
(0000783)
andreasbenzing (reporter)
2012-11-07 10:51

Problem also exists on Xubuntu 12.10
(0000784)
rhornig (administrator)
2012-11-07 11:35

Added the patch to the 4.3 tree.

- Issue History
Date Modified Username Field Change
2012-05-09 13:01 ingenious New Issue
2012-05-09 13:08 rhornig Note Added: 0000753
2012-05-09 13:11 ingenious Note Added: 0000754
2012-05-31 18:19 joker Note Added: 0000756
2012-11-07 10:51 andreasbenzing Note Added: 0000783
2012-11-07 11:35 rhornig Note Added: 0000784
2012-11-07 11:35 rhornig Status new => resolved
2012-11-07 11:35 rhornig Fixed in Version => 4.3b1
2012-11-07 11:35 rhornig Resolution open => fixed
2012-11-07 11:35 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker